Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network235.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
235.0.0.0
Broadcast address
235.127.255.255
First usable
235.0.0.1
Last usable
235.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex EB000000 · Integer 3942645760 to 3951034367
Reverse DNS zones
0.235.in-addr.arpa
1.235.in-addr.arpa
2.235.in-addr.arpa
3.235.in-addr.arpa
4.235.in-addr.arpa
5.235.in-addr.arpa
6.235.in-addr.arpa
7.235.in-addr.arpa
8.235.in-addr.arpa
9.235.in-addr.arpa
10.235.in-addr.arpa
11.235.in-addr.arpa
12.235.in-addr.arpa
13.235.in-addr.arpa
14.235.in-addr.arpa
15.235.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101011.00000000.00000000.00000000235.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network11101011.00000000.00000000.00000000235.0.0.0
Broadcast11101011.01111111.11111111.11111111235.127.255.255
Split into smaller subnets/20

235.0.0.0/9 makes 2,048 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1235.0.0.0/20235.0.0.1 to 235.0.15.254235.0.15.2554,094
2235.0.16.0/20235.0.16.1 to 235.0.31.254235.0.31.2554,094
3235.0.32.0/20235.0.32.1 to 235.0.47.254235.0.47.2554,094
4235.0.48.0/20235.0.48.1 to 235.0.63.254235.0.63.2554,094
5235.0.64.0/20235.0.64.1 to 235.0.79.254235.0.79.2554,094
6235.0.80.0/20235.0.80.1 to 235.0.95.254235.0.95.2554,094
7235.0.96.0/20235.0.96.1 to 235.0.111.254235.0.111.2554,094
8235.0.112.0/20235.0.112.1 to 235.0.127.254235.0.127.2554,094
9235.0.128.0/20235.0.128.1 to 235.0.143.254235.0.143.2554,094
10235.0.144.0/20235.0.144.1 to 235.0.159.254235.0.159.2554,094
11235.0.160.0/20235.0.160.1 to 235.0.175.254235.0.175.2554,094
12235.0.176.0/20235.0.176.1 to 235.0.191.254235.0.191.2554,094
13235.0.192.0/20235.0.192.1 to 235.0.207.254235.0.207.2554,094
14235.0.208.0/20235.0.208.1 to 235.0.223.254235.0.223.2554,094
15235.0.224.0/20235.0.224.1 to 235.0.239.254235.0.239.2554,094
16235.0.240.0/20235.0.240.1 to 235.0.255.254235.0.255.2554,094
17235.1.0.0/20235.1.0.1 to 235.1.15.254235.1.15.2554,094
18235.1.16.0/20235.1.16.1 to 235.1.31.254235.1.31.2554,094
19235.1.32.0/20235.1.32.1 to 235.1.47.254235.1.47.2554,094
20235.1.48.0/20235.1.48.1 to 235.1.63.254235.1.63.2554,094
21235.1.64.0/20235.1.64.1 to 235.1.79.254235.1.79.2554,094
22235.1.80.0/20235.1.80.1 to 235.1.95.254235.1.95.2554,094
23235.1.96.0/20235.1.96.1 to 235.1.111.254235.1.111.2554,094
24235.1.112.0/20235.1.112.1 to 235.1.127.254235.1.127.2554,094
25235.1.128.0/20235.1.128.1 to 235.1.143.254235.1.143.2554,094
26235.1.144.0/20235.1.144.1 to 235.1.159.254235.1.159.2554,094
27235.1.160.0/20235.1.160.1 to 235.1.175.254235.1.175.2554,094
28235.1.176.0/20235.1.176.1 to 235.1.191.254235.1.191.2554,094
29235.1.192.0/20235.1.192.1 to 235.1.207.254235.1.207.2554,094
30235.1.208.0/20235.1.208.1 to 235.1.223.254235.1.223.2554,094
31235.1.224.0/20235.1.224.1 to 235.1.239.254235.1.239.2554,094
32235.1.240.0/20235.1.240.1 to 235.1.255.254235.1.255.2554,094
33235.2.0.0/20235.2.0.1 to 235.2.15.254235.2.15.2554,094
34235.2.16.0/20235.2.16.1 to 235.2.31.254235.2.31.2554,094
35235.2.32.0/20235.2.32.1 to 235.2.47.254235.2.47.2554,094
36235.2.48.0/20235.2.48.1 to 235.2.63.254235.2.63.2554,094
37235.2.64.0/20235.2.64.1 to 235.2.79.254235.2.79.2554,094
38235.2.80.0/20235.2.80.1 to 235.2.95.254235.2.95.2554,094
39235.2.96.0/20235.2.96.1 to 235.2.111.254235.2.111.2554,094
40235.2.112.0/20235.2.112.1 to 235.2.127.254235.2.127.2554,094
41235.2.128.0/20235.2.128.1 to 235.2.143.254235.2.143.2554,094
42235.2.144.0/20235.2.144.1 to 235.2.159.254235.2.159.2554,094
43235.2.160.0/20235.2.160.1 to 235.2.175.254235.2.175.2554,094
44235.2.176.0/20235.2.176.1 to 235.2.191.254235.2.191.2554,094
45235.2.192.0/20235.2.192.1 to 235.2.207.254235.2.207.2554,094
46235.2.208.0/20235.2.208.1 to 235.2.223.254235.2.223.2554,094
47235.2.224.0/20235.2.224.1 to 235.2.239.254235.2.239.2554,094
48235.2.240.0/20235.2.240.1 to 235.2.255.254235.2.255.2554,094
49235.3.0.0/20235.3.0.1 to 235.3.15.254235.3.15.2554,094
50235.3.16.0/20235.3.16.1 to 235.3.31.254235.3.31.2554,094
51235.3.32.0/20235.3.32.1 to 235.3.47.254235.3.47.2554,094
52235.3.48.0/20235.3.48.1 to 235.3.63.254235.3.63.2554,094
53235.3.64.0/20235.3.64.1 to 235.3.79.254235.3.79.2554,094
54235.3.80.0/20235.3.80.1 to 235.3.95.254235.3.95.2554,094
55235.3.96.0/20235.3.96.1 to 235.3.111.254235.3.111.2554,094
56235.3.112.0/20235.3.112.1 to 235.3.127.254235.3.127.2554,094
57235.3.128.0/20235.3.128.1 to 235.3.143.254235.3.143.2554,094
58235.3.144.0/20235.3.144.1 to 235.3.159.254235.3.159.2554,094
59235.3.160.0/20235.3.160.1 to 235.3.175.254235.3.175.2554,094
60235.3.176.0/20235.3.176.1 to 235.3.191.254235.3.191.2554,094
61235.3.192.0/20235.3.192.1 to 235.3.207.254235.3.207.2554,094
62235.3.208.0/20235.3.208.1 to 235.3.223.254235.3.223.2554,094
63235.3.224.0/20235.3.224.1 to 235.3.239.254235.3.239.2554,094
64235.3.240.0/20235.3.240.1 to 235.3.255.254235.3.255.2554,094
65235.4.0.0/20235.4.0.1 to 235.4.15.254235.4.15.2554,094
66235.4.16.0/20235.4.16.1 to 235.4.31.254235.4.31.2554,094
67235.4.32.0/20235.4.32.1 to 235.4.47.254235.4.47.2554,094
68235.4.48.0/20235.4.48.1 to 235.4.63.254235.4.63.2554,094
69235.4.64.0/20235.4.64.1 to 235.4.79.254235.4.79.2554,094
70235.4.80.0/20235.4.80.1 to 235.4.95.254235.4.95.2554,094
71235.4.96.0/20235.4.96.1 to 235.4.111.254235.4.111.2554,094
72235.4.112.0/20235.4.112.1 to 235.4.127.254235.4.127.2554,094
73235.4.128.0/20235.4.128.1 to 235.4.143.254235.4.143.2554,094
74235.4.144.0/20235.4.144.1 to 235.4.159.254235.4.159.2554,094
75235.4.160.0/20235.4.160.1 to 235.4.175.254235.4.175.2554,094
76235.4.176.0/20235.4.176.1 to 235.4.191.254235.4.191.2554,094
77235.4.192.0/20235.4.192.1 to 235.4.207.254235.4.207.2554,094
78235.4.208.0/20235.4.208.1 to 235.4.223.254235.4.223.2554,094
79235.4.224.0/20235.4.224.1 to 235.4.239.254235.4.239.2554,094
80235.4.240.0/20235.4.240.1 to 235.4.255.254235.4.255.2554,094
81235.5.0.0/20235.5.0.1 to 235.5.15.254235.5.15.2554,094
82235.5.16.0/20235.5.16.1 to 235.5.31.254235.5.31.2554,094
83235.5.32.0/20235.5.32.1 to 235.5.47.254235.5.47.2554,094
84235.5.48.0/20235.5.48.1 to 235.5.63.254235.5.63.2554,094
85235.5.64.0/20235.5.64.1 to 235.5.79.254235.5.79.2554,094
86235.5.80.0/20235.5.80.1 to 235.5.95.254235.5.95.2554,094
87235.5.96.0/20235.5.96.1 to 235.5.111.254235.5.111.2554,094
88235.5.112.0/20235.5.112.1 to 235.5.127.254235.5.127.2554,094
89235.5.128.0/20235.5.128.1 to 235.5.143.254235.5.143.2554,094
90235.5.144.0/20235.5.144.1 to 235.5.159.254235.5.159.2554,094
91235.5.160.0/20235.5.160.1 to 235.5.175.254235.5.175.2554,094
92235.5.176.0/20235.5.176.1 to 235.5.191.254235.5.191.2554,094
93235.5.192.0/20235.5.192.1 to 235.5.207.254235.5.207.2554,094
94235.5.208.0/20235.5.208.1 to 235.5.223.254235.5.223.2554,094
95235.5.224.0/20235.5.224.1 to 235.5.239.254235.5.239.2554,094
96235.5.240.0/20235.5.240.1 to 235.5.255.254235.5.255.2554,094
97235.6.0.0/20235.6.0.1 to 235.6.15.254235.6.15.2554,094
98235.6.16.0/20235.6.16.1 to 235.6.31.254235.6.31.2554,094
99235.6.32.0/20235.6.32.1 to 235.6.47.254235.6.47.2554,094
100235.6.48.0/20235.6.48.1 to 235.6.63.254235.6.63.2554,094
101235.6.64.0/20235.6.64.1 to 235.6.79.254235.6.79.2554,094
102235.6.80.0/20235.6.80.1 to 235.6.95.254235.6.95.2554,094
103235.6.96.0/20235.6.96.1 to 235.6.111.254235.6.111.2554,094
104235.6.112.0/20235.6.112.1 to 235.6.127.254235.6.127.2554,094
105235.6.128.0/20235.6.128.1 to 235.6.143.254235.6.143.2554,094
106235.6.144.0/20235.6.144.1 to 235.6.159.254235.6.159.2554,094
107235.6.160.0/20235.6.160.1 to 235.6.175.254235.6.175.2554,094
108235.6.176.0/20235.6.176.1 to 235.6.191.254235.6.191.2554,094
109235.6.192.0/20235.6.192.1 to 235.6.207.254235.6.207.2554,094
110235.6.208.0/20235.6.208.1 to 235.6.223.254235.6.223.2554,094
111235.6.224.0/20235.6.224.1 to 235.6.239.254235.6.239.2554,094
112235.6.240.0/20235.6.240.1 to 235.6.255.254235.6.255.2554,094
113235.7.0.0/20235.7.0.1 to 235.7.15.254235.7.15.2554,094
114235.7.16.0/20235.7.16.1 to 235.7.31.254235.7.31.2554,094
115235.7.32.0/20235.7.32.1 to 235.7.47.254235.7.47.2554,094
116235.7.48.0/20235.7.48.1 to 235.7.63.254235.7.63.2554,094
117235.7.64.0/20235.7.64.1 to 235.7.79.254235.7.79.2554,094
118235.7.80.0/20235.7.80.1 to 235.7.95.254235.7.95.2554,094
119235.7.96.0/20235.7.96.1 to 235.7.111.254235.7.111.2554,094
120235.7.112.0/20235.7.112.1 to 235.7.127.254235.7.127.2554,094
121235.7.128.0/20235.7.128.1 to 235.7.143.254235.7.143.2554,094
122235.7.144.0/20235.7.144.1 to 235.7.159.254235.7.159.2554,094
123235.7.160.0/20235.7.160.1 to 235.7.175.254235.7.175.2554,094
124235.7.176.0/20235.7.176.1 to 235.7.191.254235.7.191.2554,094
125235.7.192.0/20235.7.192.1 to 235.7.207.254235.7.207.2554,094
126235.7.208.0/20235.7.208.1 to 235.7.223.254235.7.223.2554,094
127235.7.224.0/20235.7.224.1 to 235.7.239.254235.7.239.2554,094
128235.7.240.0/20235.7.240.1 to 235.7.255.254235.7.255.2554,094
129235.8.0.0/20235.8.0.1 to 235.8.15.254235.8.15.2554,094
130235.8.16.0/20235.8.16.1 to 235.8.31.254235.8.31.2554,094
131235.8.32.0/20235.8.32.1 to 235.8.47.254235.8.47.2554,094
132235.8.48.0/20235.8.48.1 to 235.8.63.254235.8.63.2554,094
133235.8.64.0/20235.8.64.1 to 235.8.79.254235.8.79.2554,094
134235.8.80.0/20235.8.80.1 to 235.8.95.254235.8.95.2554,094
135235.8.96.0/20235.8.96.1 to 235.8.111.254235.8.111.2554,094
136235.8.112.0/20235.8.112.1 to 235.8.127.254235.8.127.2554,094
137235.8.128.0/20235.8.128.1 to 235.8.143.254235.8.143.2554,094
138235.8.144.0/20235.8.144.1 to 235.8.159.254235.8.159.2554,094
139235.8.160.0/20235.8.160.1 to 235.8.175.254235.8.175.2554,094
140235.8.176.0/20235.8.176.1 to 235.8.191.254235.8.191.2554,094
141235.8.192.0/20235.8.192.1 to 235.8.207.254235.8.207.2554,094
142235.8.208.0/20235.8.208.1 to 235.8.223.254235.8.223.2554,094
143235.8.224.0/20235.8.224.1 to 235.8.239.254235.8.239.2554,094
144235.8.240.0/20235.8.240.1 to 235.8.255.254235.8.255.2554,094
145235.9.0.0/20235.9.0.1 to 235.9.15.254235.9.15.2554,094
146235.9.16.0/20235.9.16.1 to 235.9.31.254235.9.31.2554,094
147235.9.32.0/20235.9.32.1 to 235.9.47.254235.9.47.2554,094
148235.9.48.0/20235.9.48.1 to 235.9.63.254235.9.63.2554,094
149235.9.64.0/20235.9.64.1 to 235.9.79.254235.9.79.2554,094
150235.9.80.0/20235.9.80.1 to 235.9.95.254235.9.95.2554,094
151235.9.96.0/20235.9.96.1 to 235.9.111.254235.9.111.2554,094
152235.9.112.0/20235.9.112.1 to 235.9.127.254235.9.127.2554,094
153235.9.128.0/20235.9.128.1 to 235.9.143.254235.9.143.2554,094
154235.9.144.0/20235.9.144.1 to 235.9.159.254235.9.159.2554,094
155235.9.160.0/20235.9.160.1 to 235.9.175.254235.9.175.2554,094
156235.9.176.0/20235.9.176.1 to 235.9.191.254235.9.191.2554,094
157235.9.192.0/20235.9.192.1 to 235.9.207.254235.9.207.2554,094
158235.9.208.0/20235.9.208.1 to 235.9.223.254235.9.223.2554,094
159235.9.224.0/20235.9.224.1 to 235.9.239.254235.9.239.2554,094
160235.9.240.0/20235.9.240.1 to 235.9.255.254235.9.255.2554,094
161235.10.0.0/20235.10.0.1 to 235.10.15.254235.10.15.2554,094
162235.10.16.0/20235.10.16.1 to 235.10.31.254235.10.31.2554,094
163235.10.32.0/20235.10.32.1 to 235.10.47.254235.10.47.2554,094
164235.10.48.0/20235.10.48.1 to 235.10.63.254235.10.63.2554,094
165235.10.64.0/20235.10.64.1 to 235.10.79.254235.10.79.2554,094
166235.10.80.0/20235.10.80.1 to 235.10.95.254235.10.95.2554,094
167235.10.96.0/20235.10.96.1 to 235.10.111.254235.10.111.2554,094
168235.10.112.0/20235.10.112.1 to 235.10.127.254235.10.127.2554,094
169235.10.128.0/20235.10.128.1 to 235.10.143.254235.10.143.2554,094
170235.10.144.0/20235.10.144.1 to 235.10.159.254235.10.159.2554,094
171235.10.160.0/20235.10.160.1 to 235.10.175.254235.10.175.2554,094
172235.10.176.0/20235.10.176.1 to 235.10.191.254235.10.191.2554,094
173235.10.192.0/20235.10.192.1 to 235.10.207.254235.10.207.2554,094
174235.10.208.0/20235.10.208.1 to 235.10.223.254235.10.223.2554,094
175235.10.224.0/20235.10.224.1 to 235.10.239.254235.10.239.2554,094
176235.10.240.0/20235.10.240.1 to 235.10.255.254235.10.255.2554,094
177235.11.0.0/20235.11.0.1 to 235.11.15.254235.11.15.2554,094
178235.11.16.0/20235.11.16.1 to 235.11.31.254235.11.31.2554,094
179235.11.32.0/20235.11.32.1 to 235.11.47.254235.11.47.2554,094
180235.11.48.0/20235.11.48.1 to 235.11.63.254235.11.63.2554,094
181235.11.64.0/20235.11.64.1 to 235.11.79.254235.11.79.2554,094
182235.11.80.0/20235.11.80.1 to 235.11.95.254235.11.95.2554,094
183235.11.96.0/20235.11.96.1 to 235.11.111.254235.11.111.2554,094
184235.11.112.0/20235.11.112.1 to 235.11.127.254235.11.127.2554,094
185235.11.128.0/20235.11.128.1 to 235.11.143.254235.11.143.2554,094
186235.11.144.0/20235.11.144.1 to 235.11.159.254235.11.159.2554,094
187235.11.160.0/20235.11.160.1 to 235.11.175.254235.11.175.2554,094
188235.11.176.0/20235.11.176.1 to 235.11.191.254235.11.191.2554,094
189235.11.192.0/20235.11.192.1 to 235.11.207.254235.11.207.2554,094
190235.11.208.0/20235.11.208.1 to 235.11.223.254235.11.223.2554,094
191235.11.224.0/20235.11.224.1 to 235.11.239.254235.11.239.2554,094
192235.11.240.0/20235.11.240.1 to 235.11.255.254235.11.255.2554,094
193235.12.0.0/20235.12.0.1 to 235.12.15.254235.12.15.2554,094
194235.12.16.0/20235.12.16.1 to 235.12.31.254235.12.31.2554,094
195235.12.32.0/20235.12.32.1 to 235.12.47.254235.12.47.2554,094
196235.12.48.0/20235.12.48.1 to 235.12.63.254235.12.63.2554,094
197235.12.64.0/20235.12.64.1 to 235.12.79.254235.12.79.2554,094
198235.12.80.0/20235.12.80.1 to 235.12.95.254235.12.95.2554,094
199235.12.96.0/20235.12.96.1 to 235.12.111.254235.12.111.2554,094
200235.12.112.0/20235.12.112.1 to 235.12.127.254235.12.127.2554,094
201235.12.128.0/20235.12.128.1 to 235.12.143.254235.12.143.2554,094
202235.12.144.0/20235.12.144.1 to 235.12.159.254235.12.159.2554,094
203235.12.160.0/20235.12.160.1 to 235.12.175.254235.12.175.2554,094
204235.12.176.0/20235.12.176.1 to 235.12.191.254235.12.191.2554,094
205235.12.192.0/20235.12.192.1 to 235.12.207.254235.12.207.2554,094
206235.12.208.0/20235.12.208.1 to 235.12.223.254235.12.223.2554,094
207235.12.224.0/20235.12.224.1 to 235.12.239.254235.12.239.2554,094
208235.12.240.0/20235.12.240.1 to 235.12.255.254235.12.255.2554,094
209235.13.0.0/20235.13.0.1 to 235.13.15.254235.13.15.2554,094
210235.13.16.0/20235.13.16.1 to 235.13.31.254235.13.31.2554,094
211235.13.32.0/20235.13.32.1 to 235.13.47.254235.13.47.2554,094
212235.13.48.0/20235.13.48.1 to 235.13.63.254235.13.63.2554,094
213235.13.64.0/20235.13.64.1 to 235.13.79.254235.13.79.2554,094
214235.13.80.0/20235.13.80.1 to 235.13.95.254235.13.95.2554,094
215235.13.96.0/20235.13.96.1 to 235.13.111.254235.13.111.2554,094
216235.13.112.0/20235.13.112.1 to 235.13.127.254235.13.127.2554,094
217235.13.128.0/20235.13.128.1 to 235.13.143.254235.13.143.2554,094
218235.13.144.0/20235.13.144.1 to 235.13.159.254235.13.159.2554,094
219235.13.160.0/20235.13.160.1 to 235.13.175.254235.13.175.2554,094
220235.13.176.0/20235.13.176.1 to 235.13.191.254235.13.191.2554,094
221235.13.192.0/20235.13.192.1 to 235.13.207.254235.13.207.2554,094
222235.13.208.0/20235.13.208.1 to 235.13.223.254235.13.223.2554,094
223235.13.224.0/20235.13.224.1 to 235.13.239.254235.13.239.2554,094
224235.13.240.0/20235.13.240.1 to 235.13.255.254235.13.255.2554,094
225235.14.0.0/20235.14.0.1 to 235.14.15.254235.14.15.2554,094
226235.14.16.0/20235.14.16.1 to 235.14.31.254235.14.31.2554,094
227235.14.32.0/20235.14.32.1 to 235.14.47.254235.14.47.2554,094
228235.14.48.0/20235.14.48.1 to 235.14.63.254235.14.63.2554,094
229235.14.64.0/20235.14.64.1 to 235.14.79.254235.14.79.2554,094
230235.14.80.0/20235.14.80.1 to 235.14.95.254235.14.95.2554,094
231235.14.96.0/20235.14.96.1 to 235.14.111.254235.14.111.2554,094
232235.14.112.0/20235.14.112.1 to 235.14.127.254235.14.127.2554,094
233235.14.128.0/20235.14.128.1 to 235.14.143.254235.14.143.2554,094
234235.14.144.0/20235.14.144.1 to 235.14.159.254235.14.159.2554,094
235235.14.160.0/20235.14.160.1 to 235.14.175.254235.14.175.2554,094
236235.14.176.0/20235.14.176.1 to 235.14.191.254235.14.191.2554,094
237235.14.192.0/20235.14.192.1 to 235.14.207.254235.14.207.2554,094
238235.14.208.0/20235.14.208.1 to 235.14.223.254235.14.223.2554,094
239235.14.224.0/20235.14.224.1 to 235.14.239.254235.14.239.2554,094
240235.14.240.0/20235.14.240.1 to 235.14.255.254235.14.255.2554,094
241235.15.0.0/20235.15.0.1 to 235.15.15.254235.15.15.2554,094
242235.15.16.0/20235.15.16.1 to 235.15.31.254235.15.31.2554,094
243235.15.32.0/20235.15.32.1 to 235.15.47.254235.15.47.2554,094
244235.15.48.0/20235.15.48.1 to 235.15.63.254235.15.63.2554,094
245235.15.64.0/20235.15.64.1 to 235.15.79.254235.15.79.2554,094
246235.15.80.0/20235.15.80.1 to 235.15.95.254235.15.95.2554,094
247235.15.96.0/20235.15.96.1 to 235.15.111.254235.15.111.2554,094
248235.15.112.0/20235.15.112.1 to 235.15.127.254235.15.127.2554,094
249235.15.128.0/20235.15.128.1 to 235.15.143.254235.15.143.2554,094
250235.15.144.0/20235.15.144.1 to 235.15.159.254235.15.159.2554,094
251235.15.160.0/20235.15.160.1 to 235.15.175.254235.15.175.2554,094
252235.15.176.0/20235.15.176.1 to 235.15.191.254235.15.191.2554,094
253235.15.192.0/20235.15.192.1 to 235.15.207.254235.15.207.2554,094
254235.15.208.0/20235.15.208.1 to 235.15.223.254235.15.223.2554,094
255235.15.224.0/20235.15.224.1 to 235.15.239.254235.15.239.2554,094
256235.15.240.0/20235.15.240.1 to 235.15.255.254235.15.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses